Subject: [bug#66801] [PATCH v3 01/14] build-system: Add mix-build-system.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 18 Nov 2023 12:11:31 +0100

Am Samstag, dem 18.11.2023 um 11:19 +0100 schrieb Pierre-Henry
Fröhring:
> > > Changed for ~GUIX_ELIXIR_LIBS~. Is that OK?
> > No, because it's still ERL on the other side.  A quick web search
> > reveals that this belongs to erlang.
> Yes, ERL_LIBS is valid for both Erlang and Elixir.
> So, GUIX_ERL_LIBS for both, right?
I'm not sure whether we really need the GUIX_ prefix here; you'd have
to check whether the justification for GUIX_PYTHONPATH also holds for
erlang and elixir.

Anyhow, assuming that elixir and erlang code can be used interchangedly
by each once compiled, you should use a single (GUIX_)?ERL_LIBS in both
packages.  You might also see whether we could use a single path
instead of needing the lib/erlang and lib/elixir split, but I leave
that up to you.

Cheers